
#ifndef _KLINPOPUPVIEW_H_
#define _KLINPOPUPVIEW_H_

#include <qwidget.h>

#include "klinpopupview_base.h"

class QPainter;
class KURL;

/**
 * This is the main view class for KLinPopup.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Gerd Fleischer <gerdfleischer@web.de>
 * @version 0.1
 */
class KLinPopupView : public KLinPopupview_base
{
    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    KLinPopupView(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~KLinPopupView();
 
    void displayNewMessage(QString, QString, QString);
    
signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const QString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const QString& text);    
};

#endif // _KLINPOPUPVIEW_H_
