/***************************************************************************
 *   Copyright (C) 2004 by Gerd Fleischer                                  *
 *   gerdfleischer@web.de                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _MAKEPOPUP_H_
#define _MAKEPOPUP_H_

#define ENC_LOCAL8BIT 0
#define ENC_UTF8 1
#define ENC_LATIN1 2
#define ENC_ASCII 3

#include <kcombobox.h>
#include <kdialog.h>
#include <ktextedit.h>
#include <kprocess.h>

#include "makepopup_view.h"

class makePopup : public makePopup_view
{
    Q_OBJECT

    public:
        makePopup(QWidget *, const char *,const QString &,const QString &,const QString &, int);
        ~makePopup();
        
    public slots:
        void sendPopup();
        void slotGroupboxChanged(const QString &);
        void slotSendCmdExit(KProcess *);
        void slotReceivedGroupListOut(KProcess *, char *, int);
        void slotGroupListExit(KProcess *);
        void slotReceivedHostListOut(KProcess *, char *, int);
        void slotHostListExit(KProcess *);
        
    protected:
        bool eventFilter(QObject *, QEvent *); 
           
    private:
        void initSmbclient();
        void readGroupList();
        void readHostList(const QString &);
        QString getHostName();
        
        QString theSmbclientBin;
        QString theLocalMaster;
        QString groupListBuffer;
        QString hostListBuffer;
        KProcess *p;
        KProcess *g;
        KProcess *h;
        int newMsgEncoding;
        QMap<QString, QString> groupMap;
};

#endif // _MAKE_POPUP_H_
